﻿@model Presentation.ViewModels.FactorUnit.FactoryUnitViewModel

<form asp-action="AddFactorUnit" asp-controller="Home" method="post" enctype="multipart/form-data">

    <div class="form-group">
        <label for="exampleInputEmail1">واحد پایه</label>
        <select asp-for="BaseUnitId" asp-items="Model.BaseUnit" class="form-control">

            <option>انتخاب</option>

        </select>

    </div>

    <div class="form-group">
        <label for="exampleInputEmail1">نام واحد پایه (فارسی)</label>
        <input type="text" asp-for="Name" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">

    </div>

    <div class="form-group">
        <label for="exampleInputEmail1">نام واحد پایه (انگلیسی)</label>
        <input type="text" asp-for="EnName" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">

    </div>

    <div class="form-group">
        <label for="exampleInputEmail1">سمبل</label>
        <input type="text" asp-for="Symbol" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">

    </div>
    
    <div class="form-group">
        <label for="exampleInputEmail1">نسبت به واحد پایه</label>
        <input type="text" asp-for="NumberOfBaseUnit" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">

    </div>
    
    <div class="form-group">
        <label for="exampleInputEmail1">فرمول تبدیل از واحد پایه</label>
        <input type="text" asp-for="FromBaseUnitFormula" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">

    </div>
    
    <div class="form-group">
        <label for="exampleInputEmail1">فرمول تبدیل به واحد پایه</label>
        <input type="text" asp-for="ToBaseUnitFormula" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">

    </div>

    <button type="submit" class="btn btn-primary">Submit</button>
    
    <table class="table">
        <thead>
        <tr>
            <th scope="col">نام فارسی</th>
            <th scope="col">نام انگلیسی</th>
            <th scope="col">سمبل</th>
            <th scope="col">نسبت به واحد پایه</th>
            <th scope="col">تبدیل از واحد پایه</th>
            <th scope="col">تبدیل به واحد پایه</th>
        </tr>
        </thead>
        <tbody>
        @foreach (var item in ViewBag.list)
        {
            <tr>
                <td>@item.Name</td>
                <td>@item.EnName</td>
                <td>@item.Symbol</td>
                <td>@item.NumberOfBaseUnit</td>
                <td>@item.FromBaseUnitFormula</td>
                <td>@item.ToBaseUnitFormula</td>
            </tr>
        }

        </tbody>
    </table>

</form>